<!--
Copyright 2019 Microchip Technology Inc. and its subsidiaries

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->

<html>
<head>
    <title>Unicens Controller Test</title>

    <link rel="stylesheet" href="ucs-controller.css">
    <script type="text/javascript" src="AFB.js"></script>
    <script type="text/javascript" src="ucs-controller.js"></script>
    <style>
        .divTable{
            display: table;
        }
        .divTableRow {
            display: table-row;
        }
        .divTableHeading {
            background-color: #EEE;
            display: table-header-group;
        }
        .divTableCell, .divTableHead {
            border: 1px solid #999999;
            display: table-cell;
            padding: 3px 10px;
        }
        .divTableHeading {
            background-color: #EEE;
            display: table-header-group;
            font-weight: bold;
        }
        .divTableFoot {
            background-color: #EEE;
            display: table-footer-group;
            font-weight: bold;
        }
        .divTableBody {
            display: table-row-group;
        }

        .ucsCtrlButton {
            border: none;
            padding: 5px 15px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
            width: 144px;
            border: 2px solid #4CAF50;
        }
    </style>
</head>
<body onload="init('unused','unicens-controller', 'ping');">

    <h1>Unicens Controller</h1>

    <button id="connected" onclick="init('ucs2_config','unicens', 'listconfig')">Binder WS Fail</button>
    <br>
    <h1>Slim-Amplifier</h1>
    <h3>Master Volume</h3>
    <div class="slidecontainer">
        <input type="range" min="0" max="100" value="50" class="slider" id="slimamp-master">
    </div>

    <h1>Fiberdyne-Amplifier</h1>
    <h3>Master Volume</h3>
    <div class="slidecontainer">
        <input type="range" min="0" max="100" value="50" class="slider" id="amplifier-master">
    </div>

    <h1>Microphone</h1>
    <h3>Mode</h3>
    <div>
    <ol>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'none'})">None</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'doa'})">DOA</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'thinking'})">Thinking</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'speaking'})">Speaking</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'error'})">Error</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'waking'})">Waking</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'ending'})">Ending</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'static'})">Static</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'cylon'})">Cylon</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'rainbow'})">Rainbow</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'wheel'})">Wheel</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_mode_set', {'value': 'unknown'})">Unknown</button></li>
    </ol>
    </div>
    <h3>General</h3>
    <div>
    <ol>
        <li><button onclick="callbinder('unicens-controller','microphone_is_available', {})">Is Available?</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_static_color_set', {'red':255,'green':0,'blue':0})">Set Static Mode Color: Red</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_static_color_set', {'red':0,'green':255,'blue':0})">Set Static Mode Color: Green</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_static_color_set', {'red':0,'green':0,'blue':255})">Set Static Mode Color: Blue</button></li>
    </ol>
    </div>
    
    <h3>DOA</h3>
    <div>
    <ol>
        <li><button onclick="callbinder('unicens-controller','microphone_doa_get', {})">Get direction of audio (DOA)</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_doa_set', {'value': 0})">Set direction of audio 0 (DOA/LED)</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_doa_set', {'value': 90})">Set direction of audio 90 (DOA/LED)</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_doa_set', {'value': 180})">Set direction of audio 180 (DOA/LED)</button></li>
        <li><button onclick="callbinder('unicens-controller','microphone_doa_set', {'value': 270})">Set direction of audio 270 (DOA/LED)</button></li>
    </ol>
    </div>

    <h1>Events</h1>
    <br>
    <div id="main" style="visibility:hidden">
        <ol>
            <li>Question <pre id="question"></pre>
            <li>Response <pre id="output"></pre>
            <li>Events: <pre id="outevt"></pre>
        </ol>
    </div>

    <div style="visibility:hidden">
    <ol>
        <li><button onclick="callbinder('unicens-controller','slimamp_master_volume_set', {'value': 100})">Set Master-Volume: 100</button></li>
        <li><button onclick="callbinder('unicens-controller','slimamp_master_volume_set', {'value': 75})">Set Master-Volume: 75</button></li>
        <li><button onclick="callbinder('unicens-controller','slimamp_master_volume_set', {'value': 50})">Set Master-Volume: 50</button></li>
        <li><button onclick="callbinder('unicens-controller','slimamp_master_volume_set', {'value': 25})">Set Master-Volume: 25</button></li>
        <li><button onclick="callbinder('unicens-controller','slimamp_master_volume_set', {'value': 0})">Set Master-Volume: 0</button></li>
    </ol>
    </div>

</body>
